package com.ywt.mg.domain.models.enums;

/**
 * 状态，0-启用，1-禁用，默认启用
 */
public enum HealthEnterpriseStatusEnum {
    Normal("正常", 0),
    FORBIDDEN("禁用", 1);

    private final String displayName;

    private final int value;

    HealthEnterpriseStatusEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


    public static HealthEnterpriseStatusEnum valueOf (int value){
        switch (value) {
            case 0 :
                return Normal;
            case 1:
                return FORBIDDEN;
            default:
                return Normal;
        }
    }
}
